from dbpool import getConnection, getOne, getMany

def get_forderungen_by_mieter(mieter_id):
    return getMany("""
SELECT id, 
       mieter as mieter_id, 
       datum,
       betrag,
       kommentar
  FROM forderung
  WHERE mieter = ?
""", [ mieter_id ], "Forderung")

def get_forderung(id):
    return getOne("""
SELECT id, 
       mieter as mieter_id
       datum,
       betrag,
       kommentar
  FROM forderung
  WHERE id = ?
""", [ id ], "Forderung")
