import connexion
from flask_cors import CORS
from dbpool import createConnectionPool

# prepare database connections
createConnectionPool()

# instantiate the webservice
app = connexion.App(__name__)
app.add_api('swagger.yaml')

# CORSify it - otherwise Angular won't accept it
CORS(app.app)

# provide the webservice application to uwsgi
application = app.app
