from dbpool import getConnection, getOne, getMany

def get_zahlungen_by_mieter(mieter_id):
    return getMany("""
SELECT id, 
       mieter as mieter_id, 
       datum_ist,
       datum_soll
       betrag,
       kommentar
  FROM zahlung
  WHERE mieter = ?
""", [ mieter_id ], "Zahlung")

def get_zahlung(id):
    return getOne("""
SELECT id, 
       mieter as mieter_id
       datum_ist,
       datum_soll
       betrag,
       kommentar
  FROM zahlung
  WHERE id = ?
""", [ id ], "Zahlung")
